# ZoomingProxy [![wercker status](https://app.wercker.com/status/adedcc914bade602a6114105359d3083/s/master "wercker status")](https://app.wercker.com/project/bykey/adedcc914bade602a6114105359d3083)

Rack middleware implementing the [zooming-proxy spec][spec]

* [Installation](#installation)
* [Quick Start](#quick-start)
* [License](#license)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'zooming-proxy'
```

And then execute:

```shell
bundle
```

Or install it yourself as:

```shell
gem install zooming-proxy
```

## Quick Start

```ruby
# require the proper libraries in your project
require 'zooming-proxy'

# enable the middleware in your `config.ru`
use ZoomingProxy::Middleware

# make a request, to see if things work as expected
curl -sI 'https://example.org/hello/world' | grep 'X-HAL-Zoomed'
# => X-HAL-Zoomed: 1
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

[spec]: https://github.com/blendle/zoomingproxy-spec
