# coding: utf-8
# frozen_string_literal: true
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'zooming-proxy/version'

Gem::Specification.new do |spec|
  spec.name          = 'zooming-proxy'
  spec.version       = ZoomingProxy::VERSION
  spec.authors       = ['Blendle developers']
  spec.email         = ['support@blendle.com']

  spec.summary       = 'Rack middleware to simulate the "zooming proxy" spec'
  spec.description   = 'Using this Rack middleware Gem, you can zoom requests.'
  spec.homepage      = 'https://blendle.com'
  spec.license       = 'MIT'
  spec.require_paths = ['lib']
  spec.files         = `git ls-files -z`.split("\x0")
                                        .reject { |f| f.match(%r{^(test|spec|features)/}) }

  spec.add_dependency 'typhoeus', '~> 1.0'

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'cucumber', '~> 2.4'
  spec.add_development_dependency 'cucumber-blendle-steps', '~> 0.8'
  spec.add_development_dependency 'json', '~> 1.8'
  spec.add_development_dependency 'json_spec', '~> 1.1'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rack-test', '~> 0.6'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubocop', '~> 0.40'
  spec.add_development_dependency 'sinatra', '~> 1.4'
  spec.add_development_dependency 'webmock', '~> 2.0'
end
